ON_3dmAnnotationSettings Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h>`

## Public Member Functions

| ON_3dmAnnotationSettings ()
| ~ON_3dmAnnotationSettings ()
| ON_3dmAnnotationSettings (const ON_3dmAnnotationSettings &)
ON_3dmAnnotationSettings & | operator= (const ON_3dmAnnotationSettings &)
void | Default ()
bool | Read (ON_BinaryArchive &)
bool | Write (ON_BinaryArchive &) const
void | Dump (ON_TextLog &text_log) const
double | WorldViewTextScale () const
void | SetWorldViewTextScale (double world_view_text_scale)
double | WorldViewHatchScale () const
void | SetWorldViewHatchScale (double world_view_hatch_scale)
bool | IsAnnotationScalingEnabled () const
void | EnableAnnotationScaling (bool bEnable)
bool | IsHatchScalingEnabled () const
void | EnableHatchScaling (bool bEnable)

## Public Attributes

double | m_dimscale
double | m_textheight
double | m_dimexe
double | m_dimexo
double | m_arrowlength
double | m_arrowwidth
double | m_centermark
ON::unit_system | m_dimunits
int | m_arrowtype
int | m_angularunits
int | m_lengthformat
int | m_angleformat
int | m_textalign
int | m_resolution
ON_wString | m_facename

## Detailed Description

Definition at line 77 of file opennurbs_3dm_settings.h.

## Constructor & Destructor Documentation

## ON_3dmAnnotationSettings() [1/2]

ON_3dmAnnotationSettings::ON_3dmAnnotationSettings | ( |  | ) |

## ~ON_3dmAnnotationSettings()

ON_3dmAnnotationSettings::~ON_3dmAnnotationSettings | ( |  | ) |

## ON_3dmAnnotationSettings() [2/2]

ON_3dmAnnotationSettings::ON_3dmAnnotationSettings | ( | const ON_3dmAnnotationSettings & |  | ) |

## Member Function Documentation

## Default()

void ON_3dmAnnotationSettings::Default | ( |  | ) |

## Dump()

void ON_3dmAnnotationSettings::Dump | ( | ON_TextLog & | text_log | ) | const

## EnableAnnotationScaling()

void ON_3dmAnnotationSettings::EnableAnnotationScaling | ( | bool | bEnable | ) |

## EnableHatchScaling()

void ON_3dmAnnotationSettings::EnableHatchScaling | ( | bool | bEnable | ) |

## IsAnnotationScalingEnabled()

bool ON_3dmAnnotationSettings::IsAnnotationScalingEnabled | ( |  | ) | const

## IsHatchScalingEnabled()

bool ON_3dmAnnotationSettings::IsHatchScalingEnabled | ( |  | ) | const

## operator=()

ON_3dmAnnotationSettings& ON_3dmAnnotationSettings::operator= | ( | const ON_3dmAnnotationSettings & |  | ) |

## Read()

bool ON_3dmAnnotationSettings::Read | ( | ON_BinaryArchive & |  | ) |

## SetWorldViewHatchScale()

void ON_3dmAnnotationSettings::SetWorldViewHatchScale | ( | double | world_view_hatch_scale | ) |

## SetWorldViewTextScale()

void ON_3dmAnnotationSettings::SetWorldViewTextScale | ( | double | world_view_text_scale | ) |

## WorldViewHatchScale()

double ON_3dmAnnotationSettings::WorldViewHatchScale | ( |  | ) | const

## WorldViewTextScale()

double ON_3dmAnnotationSettings::WorldViewTextScale | ( |  | ) | const

## Write()

bool ON_3dmAnnotationSettings::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_angleformat

int ON_3dmAnnotationSettings::m_angleformat

Definition at line 207 of file opennurbs_3dm_settings.h.

## m_angularunits

int ON_3dmAnnotationSettings::m_angularunits

Definition at line 205 of file opennurbs_3dm_settings.h.

## m_arrowlength

double ON_3dmAnnotationSettings::m_arrowlength

Definition at line 98 of file opennurbs_3dm_settings.h.

## m_arrowtype

int ON_3dmAnnotationSettings::m_arrowtype

Definition at line 204 of file opennurbs_3dm_settings.h.

## m_arrowwidth

double ON_3dmAnnotationSettings::m_arrowwidth

Definition at line 99 of file opennurbs_3dm_settings.h.

## m_centermark

double ON_3dmAnnotationSettings::m_centermark

Definition at line 100 of file opennurbs_3dm_settings.h.

## m_dimexe

double ON_3dmAnnotationSettings::m_dimexe

Definition at line 96 of file opennurbs_3dm_settings.h.

## m_dimexo

double ON_3dmAnnotationSettings::m_dimexo

Definition at line 97 of file opennurbs_3dm_settings.h.

## m_dimscale

double ON_3dmAnnotationSettings::m_dimscale

Definition at line 94 of file opennurbs_3dm_settings.h.

## m_dimunits

ON::unit_system ON_3dmAnnotationSettings::m_dimunits

Definition at line 203 of file opennurbs_3dm_settings.h.

## m_facename

ON_wString ON_3dmAnnotationSettings::m_facename

Definition at line 212 of file opennurbs_3dm_settings.h.

## m_lengthformat

int ON_3dmAnnotationSettings::m_lengthformat

Definition at line 206 of file opennurbs_3dm_settings.h.

## m_resolution

int ON_3dmAnnotationSettings::m_resolution

Definition at line 209 of file opennurbs_3dm_settings.h.

## m_textalign

int ON_3dmAnnotationSettings::m_textalign

Definition at line 208 of file opennurbs_3dm_settings.h.

## m_textheight

double ON_3dmAnnotationSettings::m_textheight

Definition at line 95 of file opennurbs_3dm_settings.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h